<template>
  <h1>Paddings</h1>

  <p>
    All paddings helpers starts with a <code>-p</code>, followed by other characters :
    <ul>
      <li><code>vX</code> is for vertical paddings</li>
      <li><code>hX</code> is for horizontal paddings</li>
      <li><code>tX</code> is for top padding</li>
      <li><code>bX</code> is for bottom padding</li>
      <li><code>X</code> is for bottom padding</li>
    </ul>
  </p>

  <template v-for="(variants, name) in paddings" :key="name">
    <h3>{{ name }}</h3>
    <div v-for="v in variants" :key="v" :class="`-doc-outline -mbd ${v}`"><code>{{ v }}</code> class</div>
  </template>
</template>

<script>
const paddings = {
  'Bottom padding': [
    '-pbt',
  ],
  'All sides padding': [
    '-pd',
  ],
}

export default {
  name: 'PaddingsView',
  data () {
    return {
      paddings,
    }
  },
  created () {
    this.$setTitle('Paddings')
  },
}
</script>
